<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<c:import url="_layout_head.jsp" />

<div class="block">
	<h2>Login</h2>
	<div class="block_content">
		<form action="<c:url value="/_login" />" method="post">
			<div class="form">
				<div class="field">
					<span><label for="email">Email:</label></span>
					<span><input type="text" id="email" name="email" /></span>
				</div>
				<div class="field">
					<span><label for="password">Password:</label></span>
					<span><input type="password" id="password" name="password" /></span>
				</div>
			</div>
			<div class="button">
				<input type="submit" value="Login!" />
			</div>
		</form>
	</div>
</div>
<div class="block">
	<h2>Register</h2>
	<div class="block_content">
		<form action="<c:url value="/_register" />" method="post">
			<div class="form">
				<div class="field">
					<span><label for="regemail">Email:</label></span>
					<span><input type="text" id="regemail" name="regemail" /></span>
				</div>
				<div class="field">
					<span><label for="regpassword">Password:</label></span>
					<span><input type="password" id="regpassword" name="regpassword" /></span>
				</div>
				<div class="field">
					<span><label for="regpasswordag">Password (again):</label></span>
					<span><input type="password" id="regpasswordag" name="regpasswordag" /></span>
				</div>
			</div>
			<div class="button">
				<input type="submit" value="Register!" />
			</div>
		</form>
	</div>
</div>

<c:import url="_layout_foot.jsp" />