<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">

	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
		<title><c:out value="${title}" /></title>
		<link rel="stylesheet" type="text/css" href="<c:url value="/style/osp-din/stylesheet.css" />" />
		<link rel="stylesheet" type="text/css" href="<c:url value="/style/style.css" />" />
		<link rel="shortcut icon" type="image/png" href="<c:url value="/images/favicon.png" />" />
	</head>

	<body>
		<div id="logged">
			<c:if test="${sessionScope.userId != null}">
				<ul>
					<li><span><c:out value="${sessionScope.email}" /></span></li>
					<li><span>-</span></li>
					<li><a href="<c:url value="/_logout" />">Logout</a></li>
				</ul>
			</c:if>
		</div>
		<div id="head">
			<h1>SupLink</h1>
		</div>

		<div id="content">
			<c:if test="${sessionScope.errorMsg != null}">
				<div class="block message error">
					<div class="block_content">
						<c:out value="${sessionScope.errorMsg}" />
					</div>
				</div>
				<c:set scope="session" var="errorMsg" value="${null}" />
			</c:if>
			<c:if test="${sessionScope.infoMsg != null}">
				<div class="block message info">
					<div class="block_content">
						<c:out value="${sessionScope.infoMsg}" />
					</div>
					<c:set scope="session" var="infoMsg" value="${null}" />
				</div>
			</c:if>